const langs = {
    cn: {
        add: '新建',
        edit: '编辑',
        save: '保存',
        detail: '明细',
        cancel: '取消',
        useForm: '要使用保存功能，请使用pl-form进行布局',
        notSaveMethod: '没有传入saveData方法',
        keepAdd: '创建另一个',
    },
    en: {
        add: 'Create',
        edit: 'Edit',
        save: 'Save',
        detail: 'Detail',
        cancel: 'Cancel',
        useForm: 'Please use pl-form subs for save data',
        notSaveMethod: 'Please set saveData prop',
        keepAdd: 'create another',
    },
    zh: {
        add: '新建',
        edit: '編輯',
        save: '保存',
        detail: '明細',
        cancel: '取消',
        useForm: '要使用保存功能，請使用pl-form進行佈局',
        notSaveMethod: '沒有傳入saveData方法',
        keepAdd: '創建另一個',
    }
};

export function getLocals() {
    let lang = "cn";
    if (localStorage.lang === 'en') {
        lang = 'en';
    } else if (localStorage.lang === 'zh') {
        lang = 'zh';
    }
    return langs[lang] || {};
}

export function getLocal(key) {
    const local = getLocals(),
        keys = key.split('.');

    if (keys.length === 0) return local[key];

    let value = local[keys[0]];

    if (!value) return value;

    for (let i = 1; i < keys.length; i++) {
        value = value[keys[i]]
        if (!value) return value;
    }
    return value;
}

export default langs;