export default {
    name: "PlToolbar",

    props: {
        scope: Object,
        buttons: {
            type: Array,
            default: () => ([])
        }
    },
    computed: {
        pageController() {
            if (this.scope) return this.scope;
            let parent = this.$parent;
            while (parent.$parent && !parent.hasOwnProperty('controller')) {
                parent = parent.$parent;
            }
            return parent;
        }
    },

    methods: {
        buttonClick: function(cmd, scope, event) {
            scope = scope || this.scope || this.pageController;
            if (scope.hasOwnProperty(cmd)) {
                scope[cmd].call(event)
            } else {
                console.warn('此按钮未指定fn');
            }
        }
    }
}