import ResizeObserver from 'resize-observer-polyfill';

const isServer = typeof window === 'undefined';

/* istanbul ignore next */
const resizeHandler = function(entries) {
  for (let entry of entries) {
    const listeners = entry.target.__resizeListeners__ || [];
    if (listeners.length) {
      listeners.forEach(fn => {
        fn();
      });
    }
  }
};

/* istanbul ignore next */
export const addResizeListener = function(vcat, fn) {
  if (isServer) return;
  if (!vcat.__resizeListeners__) {
    vcat.__resizeListeners__ = [];
    vcat.__ro__ = new ResizeObserver(resizeHandler);
    vcat.__ro__.observe(vcat);
  }
  vcat.__resizeListeners__.push(fn);
};

/* istanbul ignore next */
export const removeResizeListener = function(vcat, fn) {
  if (!vcat || !vcat.__resizeListeners__) return;
  vcat.__resizeListeners__.splice(vcat.__resizeListeners__.indexOf(fn), 1);
  if (!vcat.__resizeListeners__.length) {
    vcat.__ro__.disconnect();
  }
};
